## quake 18

=== Makefile ===
# Makefile - used for building icon

distro ?= $(shell lsb_release -si)

layer_sizes = 16 22 32 48 256

text = \
	build/quake \
	build/quake2 \
	build/quake3 \
	build/quake4 \
	build/etqw \
	build/quake-server \
	build/quake2-server \
	build/quake3-server \
	build/quake4-dedicated \
	build/etqw-dedicated \
	build/README.etqw-bin \
	build/README.quake4-bin \
	$(NULL)

obj = \
	$(text) \
	build/24/quake.png \
	build/24/quake-armagon.png \
	build/24/quake-dissolution.png \
	build/24/quake2.png \
	build/24/quake2-reckoning.png \
	build/24/quake2-groundzero.png \
	build/24/quake4.png \
	build/quake.svg \
	build/quake-armagon.svg \
	build/quake-dissolution.svg \
	build/quake2.svg \
	build/quake2-reckoning.svg \
	build/quake2-groundzero.svg \
	build/quake3.png \
	build/quake3-teamarena.png \
	build/quake4.svg \
	build/48/quake3.png \
	build/48/quake3-teamarena.png \
	$(patsubst %,build/%/quake.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)) \
	$(patsubst %,build/%/quake4.png,$(layer_sizes)) \
	$(NULL)

all: $(obj)

build/quake: quake.in
	install -d build
	sed -e 's/@self@/quake/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake-engine/g' \
		< $< > $@
	chmod +x $@

build/quake2: quake2.in
	install -d build
	sed -e 's/@self@/quake2/g' \
		-e 's/@role@/client/g' \
		-e 's/@options@//g' \
		-e 's/@alternative@/quake2-engine/g' \
		< $< > $@
	chmod +x $@

build/quake3: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!client!' \
		< $< > $@
	chmod +x $@

build/quake4: quake4.in Makefile
	install -d build
	sed \
		-e 's!@id@!quake4!' \
		-e 's!@icon@!/usr/share/icons/hicolor/48x48/apps/quake4.png!' \
		-e 's!@longname@!Quake 4!' \
		-e 's!@shortname@!Quake 4!' \
		-e 's!@binary@!quake4.x86!' \
		-e 's!@smpbinary@!quake4smp.x86!' \
		-e 's!@self@!quake4!' \
		-e 's!@role@!client!' \
		-e 's!@pkglibdir@!/usr/lib/quake4!' \
		-e 's!@paks@!pak001 pak021 pak022 zpak_english!' \
		-e 's!@basegame@!q4base!' \
		-e 's!@dotdir@!quake4!' \
		< $< > $@
	chmod +x $@

build/README.quake4-bin: README.binary.in Makefile
	install -d build
	sed \
		-e 's!@id@!quake4!' \
		-e 's!@shortname@!Quake 4!' \
		-e 's!@distro@!$(distro)!' \
		< $< > $@

build/etqw: quake4.in Makefile
	install -d build
	sed \
		-e 's!@id@!etqw!' \
		-e 's!@icon@!/usr/share/pixmaps/etqw.png!' \
		-e 's!@longname@!Enemy Territory: Quake Wars!' \
		-e 's!@shortname@!ETQW!' \
		-e 's!@binary@!etqw.x86!' \
		-e 's!@smpbinary@!etqw-rthread.x86!' \
		-e 's!@self@!etqw!' \
		-e 's!@role@!client!' \
		-e 's!@pkglibdir@!/usr/lib/etqw!' \
		-e 's!@paks@!pak008 game000 pak000 zpak_english000!' \
		-e 's!@basegame@!base!' \
		-e 's!@dotdir@!etqwcl!' \
		< $< > $@
	chmod +x $@

build/README.etqw-bin: README.binary.in Makefile
	install -d build
	sed \
		-e 's!@id@!etqw!' \
		-e 's!@shortname@!ETQW!' \
		-e 's!@distro@!$(distro)!' \
		< $< > $@

build/quake2-server: quake2.in
	install -d build
	sed -e 's/@self@/quake2-server/g' \
		-e 's/@role@/dedicated server/g' \
		-e 's/@options@/+set dedicated 1/g' \
		-e 's/@alternative@/quake2-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake-server: quake.in
	install -d build
	sed -e 's/@self@/quake-server/g' \
		-e 's/@role@/server/g' \
		-e 's/@options@/-dedicated/g' \
		-e 's/@alternative@/quake-engine-server/g' \
		< $< > $@
	chmod +x $@

build/quake3-server: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!quake3-server!' \
		-e 's!@IOQ3ROLE@!server!' \
		< $< > $@
	chmod +x $@

build/quake4-dedicated: quake4.in Makefile
	install -d build
	sed \
		-e 's!@id@!quake4!' \
		-e 's!@icon@!/usr/share/icons/hicolor/48x48/apps/quake4.png!' \
		-e 's!@longname@!Quake 4!' \
		-e 's!@shortname@!Quake 4!' \
		-e 's!@binary@!q4ded.x86!' \
		-e 's!@smpbinary@!!' \
		-e 's!@self@!quake4-dedicated!' \
		-e 's!@role@!server!' \
		-e 's!@pkglibdir@!/usr/lib/quake4!' \
		-e 's!@paks@!pak001 pak021 pak022 zpak_english!' \
		-e 's!@basegame@!q4base!' \
		-e 's!@dotdir@!quake4!' \
		< $< > $@
	chmod +x $@

build/etqw-dedicated: quake4.in Makefile
	install -d build
	sed \
		-e 's!@id@!etqw!' \
		-e 's!@icon@!/usr/share/pixmaps/etqw.png!' \
		-e 's!@longname@!Enemy Territory: Quake Wars!' \
		-e 's!@shortname@!ETQW!' \
		-e 's!@binary@!etqwded.x86!' \
		-e 's!@smpbinary@!!' \
		-e 's!@self@!etqw-dedicated!' \
		-e 's!@role@!server!' \
		-e 's!@pkglibdir@!/usr/lib/etqw!' \
		-e 's!@paks@!pak008 game000 pak000 zpak_english000!' \
		-e 's!@basegame@!base!' \
		-e 's!@dotdir@!etqw!' \
		< $< > $@
	chmod +x $@

build/tmp/recolour-dissolution.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

build/tmp/recolour-armagon.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

build/tmp/recolour-reckoning.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

build/tmp/recolour-groundzero.svg: quake1+2.svg Makefile
	install -d build/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

build/24/quake.png: build/22/quake.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake-%.png: build/22/quake-%.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake2.png: build/22/quake2.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake4.png: build/22/quake4.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

build/24/quake2-%.png: build/22/quake2-%.png
	install -d build/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,build/%/quake.png,$(layer_sizes)): build/%/quake.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake-armagon.png,$(layer_sizes)): build/%/quake-armagon.png: build/tmp/recolour-armagon.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake-dissolution.png,$(layer_sizes)): build/%/quake-dissolution.png: build/tmp/recolour-dissolution.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2.png,$(layer_sizes)): build/%/quake2.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake4.png,16 22 32): build/%/quake4.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake4.png,48 256): build/%/quake4.png: quake1+2.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2-reckoning.png,$(layer_sizes)): build/%/quake2-reckoning.png: build/tmp/recolour-reckoning.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,build/%/quake2-groundzero.png,$(layer_sizes)): build/%/quake2-groundzero.png: build/tmp/recolour-groundzero.svg
	install -d build/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

clean:
	rm -rf build

build/quake.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > build/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake.svg
	rm -f build/tmp/quake.svg

build/quake-%.svg: build/tmp/recolour-%.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > build/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake-$*.svg
	rm -f build/tmp/quake-$*.svg

build/quake2.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > build/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake2.svg
	rm -f build/tmp/quake2.svg

build/quake4.svg: quake1+2.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > build/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake4.svg
	rm -f build/tmp/quake4.svg

build/quake2-%.svg: build/tmp/recolour-%.svg Makefile
	install -d build
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > build/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		build/tmp/quake2-$*.svg
	rm -f build/tmp/quake2-$*.svg

build/quake3.png: quake3-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/quake3-teamarena.png: quake3-teamarena-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/48/quake3.png: build/quake3.png Makefile
	install -d build/48
	convert -resize 48x48 $< $@

build/48/quake3-teamarena.png: build/quake3-teamarena.png Makefile
	install -d build/48
	convert -resize 48x48 $< $@

check:
	set -e; \
	failed=0; \
	for x in $(text); do \
		if grep -E "@[a-zA-Z]|[a-zA-Z]@" $$x; then \
			echo "^ probably a missing substitution?"; \
			failed=1; \
		fi; \
	done; exit $$failed

.PHONY: check

=== debian/changelog ===
quake (18) unstable; urgency=medium

  * quake4 AppArmor: allow additional video device enumeration
  * quake4 AppArmor: allow reading /etc/machine-id, used by PulseAudio
  * quake4 AppArmor: allow mmapping ~/.quake4/*/gamex86.so
  * quake: add a shortcut for Quake Episode 5: Dimensions of the Past
  * All systemd services: add Documentation key pointing to man pages
  * Add lintian overrides for repeated words in d/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:20:17 +0100

quake (17) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add support for "Enemy Territory: Quake Wars" using the
    propietary binaries (there is no open-source engine)
    and following the same patterns as used for Quake 4.

  [ Simon McVittie ]
  * Add a confirmation step before running binary-only executables
  * etqw.desktop: add some more keywords
  * etqw*.6: document QUAKE4_BACKTRACE, QUAKE4_DEBUGGER
  * Remove unused (and not installed) quake4smp wrapper
  * Check scripts for missing substitutions
  * quake4.in: use the same source for ETQW
  * README.etqw-data: expand
  * d/copyright: mention the idTech4 games, and Alexandre's contributions
  * d/control: remove Suggests on quake4-pb-bin, which is disabled in
    game-data-packager to avoid CVE-2007-5248
  * quake, quake2, quake3: if launched via a symlink whose name
    contains armagon, hipnotic, etc., run the appropriate expansion pack
  * quake.desktop, quake2.desktop, quake3.desktop: run each expansion
    pack via a different symbolic link. This is a workaround for Steam
    ignoring command-line options when adding a non-Steam shortcut
    (<https://github.com/ValveSoftware/steam-for-linux/issues/3855>)
  * quake*.desktop: stop using Roman numerals, so they sort in
    the correct order
  * quake4*: add experimental AppArmor profiles
  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no further changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * quake4.in: don't run env under gdb, if using both

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2016 09:38:18 +0100

=== debian/control ===
Source: quake
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 David Banks <amoebae@gmail.com>,
 Simon McVittie <smcv@debian.org>,
 Jack Coulter <jscinoz@gmail.com>,
Section: contrib/games
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-apparmor [i386],
 dh-systemd,
 imagemagick,
 inkscape,
 xcftools,
 xmlstarlet,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/quake.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/quake.git

Package: etqw
Architecture: i386
Depends:
 etqw-bin | game-data-packager (>= 44),
 x11-utils | zenity | kde-baseapps-bin,
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Depends:
 adduser,
 etqw-bin | game-data-packager (>= 44),
 etqw-data | game-data-packager (>= 44),
 ${misc:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: quake
Architecture: all
Depends:
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Recommends:
 x11-utils | zenity | kde-baseapps-bin,
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Depends:
 adduser,
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Depends:
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager (>= 39),
 x11-utils | zenity | kde-baseapps-bin,
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .
 game-data-packager (>= 39) can also produce packages for the official mission
 packs The Reckoning (developed by Xatrix Entertainment) and Ground Zero
 (developed by Rogue Entertainment). Additional menu entries should
 appear automatically if those expansions are installed.

Package: quake2-server
Architecture: all
Depends:
 adduser,
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2-core | quake2-engine-server,
 ${misc:Depends},
Suggests:
 quake2-groundzero-data,
 quake2-reckoning-data,
Description: dedicated server for Quake II
 This package contains a launcher script and init script to run a
 Quake II server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.

Package: quake3
Architecture: all
Depends:
 ioquake3,
 quake3-data | quake3-demo-data (>= 40) | game-data-packager (>= 23),
 ${misc:Depends},
Suggests:
 quake3-team-arena-data,
Recommends:
 x11-utils | zenity | kde-baseapps-bin,
Description: Quake III Arena menu entry and launcher scripts
 This package contains a launcher script and menu entry to play
 Quake III Arena or Quake III: Team Arena with the ioquake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data or quake3-demo-data package, by using
 the game-data-packager package.
 .
 quake3-data requires pak0.pk3 from a Quake III installation or CD-ROM.
 quake3-demo-data only requires freely downloadable files, but is
 not necessarily reliable.
 .
 game-data-packager (>= 39) can also produce a package for the official
 expansion pack Quake III: Team Arena. An additional menu entry should appear
 automatically if that expansion are installed.

Package: quake3-server
Architecture: all
Depends:
 adduser,
 ioquake3-server,
 quake3-data | game-data-packager (>= 23),
 ${misc:Depends},
Recommends:
 game-data-packager (>= 39),
Suggests:
 quake3-team-arena-data,
Description: Quake III Arena dedicated server launcher scripts
 This package contains a launcher script to run a Quake III Arena or
 Quake III: Team Arena dedicated server with the ioquake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

Package: quake4
Architecture: i386
Depends:
 quake4-bin | game-data-packager (>= 43),
 x11-utils | zenity | kde-baseapps-bin,
 ${misc:Depends},
Description: science-fiction-themed first person shooter
 Quake 4 is a first-person shooter game by Raven Software and id Software,
 released in 2005. This package contains a launcher script and menu
 entry to play Quake 4 using the proprietary x86 binaries provided by
 id Software.
 .
 Please note that the Quake 4 engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 quake4-bin, and either quake4-data (for all regions except Germany)
 or quake4-censored-de-data (for the incompatible version sold in
 Germany). Creating those packages requires data files from a Quake 4
 installation or DVD.

Package: quake4-server
Architecture: i386
Depends:
 adduser,
 quake4-bin | game-data-packager (>= 43),
 quake4-data | quake4-censored-de-data | game-data-packager (>= 43),
 ${misc:Depends},
Recommends:
 systemd-sysv,
Description: dedicated server for Quake 4
 This package contains a launcher script and systemd unit to run a
 Quake 4 server using the proprietary x86 binaries provided by id Software.
 .
 Please note that the Quake 4 engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 quake4-bin, and either quake4-data (for the uncensored
 version sold on Steam and in countries other than Germany) or
 quake4-censored-de-data (for the incompatible version sold in Germany).
 Creating those packages requires data files from a Quake 4 installation
 or DVD.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=systemd

override_dh_auto_build:
	dh_auto_build -- distro=$(shell dpkg-vendor --query Vendor)

override_dh_install-arch:
	dh_install -a
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_installinit:
	dh_installinit -pquake4-server --noscripts
	dh_installinit -petqw-server --noscripts
	dh_installinit --remaining-packages

override_dh_systemd_enable:
	dh_systemd_enable -pquake4-server --no-enable
	dh_systemd_enable -petqw-server --no-enable
	dh_systemd_enable --remaining-packages
